Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TextParseMode

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TextParseMode

Direct Known Subclasses:
  `TdApi.TextParseModeHTML`, `TdApi.TextParseModeMarkdown`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.TextParseMode extends TdApi.Object permits TdApi.TextParseModeMarkdown, TdApi.TextParseModeHTML
This class is an abstract base class. Describes the way the text needs to be parsed for text entities.

## Constructor Summary

Constructors
Constructor
Description
`TextParseMode()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TextParseMode

public TextParseMode()
Default class constructor.